/* eslint no-use-before-define: */
/*
 *
 * Default fallbacks for constants from AEM generic list
 *
 */

var LOCATION_TIMEOUT_HOURS = LOCATION_TIMEOUT_HOURS || 16;
var LOCATION_TIMEOUT_DECLINE_MONTHS = LOCATION_TIMEOUT_DECLINE_MONTHS || 6;
var CHECKOUT_LOADING_MESSAGE = CHECKOUT_LOADING_MESSAGE || 'Checkout in progress, this should only take a moment.';

var FINGER_AUTH_ENABLED_ANDROID_TITLE = FINGER_AUTH_ENABLED_ANDROID_TITLE || 'One-touch Login Enabled';
var FINGER_AUTH_ENABLED_ANDROID_MESSAGE = FINGER_AUTH_ENABLED_ANDROID_MESSAGE || 'You can begin using your fingerprint the next time you log in. Edit your profile in the app to turn this feature off at any time.';
var FINGER_AUTH_ENABLED_IOS_TITLE = FINGER_AUTH_ENABLED_IOS_TITLE || 'Touch ID Enabled';
var FINGER_AUTH_ENABLED_IOS_MESSAGE = FINGER_AUTH_ENABLED_IOS_MESSAGE || 'You can begin using Touch ID the next time you log in. Edit your profile in the app to turn this feature off at any time.';
var FINGER_AUTH_DISABLED_ANDROID_TITLE = FINGER_AUTH_DISABLED_ANDROID_TITLE || 'One-touch Login Disabled';
var FINGER_AUTH_DISABLED_ANDROID_MESSAGE = FINGER_AUTH_DISABLED_ANDROID_MESSAGE || 'You\'ve disabled One-touch Login. Edit your profile in the app to turn this feature back on at any time.';
var FINGER_AUTH_DISABLED_IOS_TITLE = FINGER_AUTH_DISABLED_IOS_TITLE || 'Touch ID Disabled';
var FINGER_AUTH_DISABLED_IOS_MESSAGE = FINGER_AUTH_DISABLED_IOS_MESSAGE || 'You\'ve disabled Touch ID. Edit your profile in the app to turn this feature back on at any time.';
var FINGER_AUTH_ENABLED_FAILURE_TITLE = FINGER_AUTH_ENABLED_FAILURE_TITLE || 'One-touch login failure';
var FINGER_AUTH_ENABLED_FAILURE_MESSAGE = FINGER_AUTH_ENABLED_FAILURE_MESSAGE || 'Sorry, we encountered a problem and were unable to validate your fingerprint. One-touch login will not be enabled.';

// offline timeout
var OFFLINE_TIMEOUT_SECONDS = OFFLINE_TIMEOUT_SECONDS || 5;
var OFFLINE_ALERT_TITLE = OFFLINE_ALERT_TITLE || 'Connection Issues';
var OFFLINE_ALERT_MESSAGE = OFFLINE_ALERT_MESSAGE || 'We\'re having trouble connecting to the network. Please check your connection and try again.';

// reauth time
var TOKEN_EXPIRE_AUTH_MINUTES = TOKEN_EXPIRE_AUTH_MINUTES || 20;

// support links
var CUSTOMER_SUPPORT_LINK = CUSTOMER_SUPPORT_LINK || 'http://uat-laquinta.cs93.force.com/custhelpmobile';
var CUSTOMER_SUPPORT_LINK_PROD = CUSTOMER_SUPPORT_LINK_PROD || 'http://laquinta.force.com/custhelpmobile';

// secure storage
var SECURE_STORAGE_UNAVAILABLE_TITLE = SECURE_STORAGE_UNAVAILABLE_TITLE || 'Lock screen is disabled';
var SECURE_STORAGE_UNAVAILABLE_MESSAGE = SECURE_STORAGE_UNAVAILABLE_MESSAGE || 'The device is unable to securely store passwords without a lock screen enabled. Please enable a secure lock screen (pin, pattern, fingerprint) in your system settings. Otherwise you will need to log in with every app session.';

// cancellation policy
var CANCELLATION_POLICY = CANCELLATION_POLICY || 'If you cancel after the applicable deadline, the Hotel will assess a fee.  Typically the fee is one night\'s room and tax to the credit card used for booking the reservation however if the cancellation is over special event dates, you will be responsible for each night plus tax of your originally booked stay.  For reservations cancelled within the stated cancellation period that include free night(s) redeemed with LaQuinta Returns points, contact the Returns Service Center at <a href="tel:+18006424258">1(800)642-4258</a> to have the points restored to your account.  By completing this reservation, You hereby agree to the above stated cancellation policy, <a href="https://www.lq.com/en/my-reservations/terms-of-use.html" target="_blank">general terms of use</a> and <a href="https://www.lq.com/en/popups/privacy-policy.html?stop_mobi=yes" target="_blank">privacy policy</a>.';

// mobile check in
var MOBILE_CHECK_IN_LOADING_MESSAGE = MOBILE_CHECK_IN_LOADING_MESSAGE || 'Check-in processing, this should only take a moment.';
var MOBILE_CHECK_IN_REVIEW_FINE_PRINT = MOBILE_CHECK_IN_REVIEW_FINE_PRINT || 'While we do our best to fulfill your specific room and floor preferences, we may need to assign a different room based on availability at the time of check in.';
var ACTIVE_STAYS_ERROR_TIMEOUT_HOURS = ACTIVE_STAYS_ERROR_TIMEOUT_HOURS || 12;
var ACTIVE_STAYS_ERROR_TIMEOUT_MINUTES = ACTIVE_STAYS_ERROR_TIMEOUT_MINUTES || 20;

var MOBILE_CHECK_IN_DEFAULT_HEADER = MOBILE_CHECK_IN_DEFAULT_HEADER || 'Error';
var MOBILE_CHECK_IN_DEFAULT_MESSAGE = MOBILE_CHECK_IN_DEFAULT_MESSAGE || 'There was an issue retrieving your data.';

var MOBILE_CHECK_IN_SUCCESS_HEADER = MOBILE_CHECK_IN_SUCCESS_HEADER || 'YOU\'RE CHECKED IN!';
var MOBILE_CHECK_IN_SUCCESS_MESSAGE_NO_ROOM = MOBILE_CHECK_IN_SUCCESS_MESSAGE_NO_ROOM || 'We are in the process of confirming your room number. Please stop by the front desk when you arrive to get your room number and key card.';
var MOBILE_CHECK_IN_SUCCESS_MESSAGE_WITH_ROOM = MOBILE_CHECK_IN_SUCCESS_MESSAGE_WITH_ROOM || 'Your room number is {ROOM_NUMBER}. Please stop by the front desk when you arrive to get your room number and key card.';

var MOBILE_CHECK_IN_FAILURE_HEADER = MOBILE_CHECK_IN_FAILURE_HEADER || 'SORRY, WE\'RE NOT READY TO CHECK YOU IN YET';
var MOBILE_CHECK_IN_FAILURE_MESSAGE = MOBILE_CHECK_IN_FAILURE_MESSAGE || 'Your room may not be ready yet or our system is still working on finding the right room for you. Call the front desk at {PHONE_NUMBER} for more info.';
var MOBILE_CHECK_IN_FAILURE_MESSAGE_NO_PHONE = MOBILE_CHECK_IN_FAILURE_MESSAGE_NO_PHONE || 'Your room may not be ready yet or our system is still working on finding the right room for you.';

var MOBILE_CHECK_IN_ALREADY_CHECKED_IN_HEADER = MOBILE_CHECK_IN_ALREADY_CHECKED_IN_HEADER || 'GOOD NEWS! YOU\'RE ALREADY CHECKED IN';
var MOBILE_CHECK_IN_ALREADY_CHECKED_IN_MESSAGE = MOBILE_CHECK_IN_ALREADY_CHECKED_IN_MESSAGE || 'You have been successfully checked in and we hope you enjoy your stay.';

// enroll text
var CUSTOM_BANNER_TEXT = CUSTOM_BANNER_TEXT || 'Important program update for members';
var CUSTOM_BANNER_SHOW = CUSTOM_BANNER_SHOW || 'false';

// google map client id
var GOOGLE_API_CLIENT_ID = GOOGLE_API_CLIENT_ID || 'gme-wyndhamhotelgroup';
