/* global lqMobileModule*/
lqMobileModule.controller('bookingRecapController',
  ['$scope',
    '$rootScope',
    'bookingModelService',
    'events',
    'returnsUserProfileModel',
    'hotelInformationModel',
    'searchParamModelService',
    'satelliteTrackingModelService',
    function ($scope,
      $rootScope,
      bookingModelService,
      events,
      returnsUserProfileModel,
      hotelInformationModel,
      searchParamModelService,
      satelliteTrackingModelService) {
      'use strict';

      $scope.searchInfo = searchParamModelService.data;
      $scope.hotelInfo = hotelInformationModel.data.hotelDetails;

      satelliteTrackingModelService.bookingRecapLoaded(
        $scope.hotelInfo.hotelId, $scope.searchInfo.promoCode
      );
    }]);
