/* global lqMobileModule*/
lqMobileModule.directive(
  'hotelDetailsInitializer',
  [
    'hotelInformationModel',
    'currencyService',
    function (
      hotelInformationModel,
      currencyService
    ) {
      'use strict';

      return {
        restrict: 'E',
        compile: function (element) {
          var hotelDetails = JSON.parse(element[0].innerHTML);
          element[0].innerHTML = '';
          hotelInformationModel.setHotelDetails(hotelDetails);
        }
      };
    }
  ]
);
