/* global lqMobileModule*/
lqMobileModule.directive('charLimit', ['$compile',
  function () {
    'use strict';

    return {
      restrict: 'A',
      require: 'ngModel',
      link: function (scope, elem, attrs, ctrl) {
        var maxLength = parseInt(attrs.charLimitLength, 10);
        attrs.$set('ngTrim', 'false');
        ctrl.$parsers.push(function (value) {
          if (value.length > maxLength) {
            value = value.substr(0, maxLength);
            ctrl.$setViewValue(value);
            ctrl.$render();
          }
          return value;
        });
      }
    };
  }]);
