/* global lqMobileModule*/
lqMobileModule.filter('hotelName', function () {
  'use strict';

  return function (hotelName, index) {
    var result = ['', ''];
    try {
      if (hotelName.indexOf('La Quinta Inn & Conference Center') > -1) {
        result[0] = 'La Quinta Inn & Conference Center';
        result[1] = hotelName.replace('La Quinta Inn & Conference Center', '');
      } else if (hotelName.indexOf('La Quinta Inn & Suites') > -1) {
        result[0] = 'La Quinta Inn & Suites';
        result[1] = hotelName.replace('La Quinta Inn & Suites', '');
      } else if (hotelName.indexOf('La Quinta Inn') > -1) {
        result[0] = 'La Quinta Inn';
        result[1] = hotelName.replace('La Quinta Inn', '');
      } else if (hotelName.indexOf('LQ Hotel') > -1) {
        result[0] = 'LQ Hotel';
        result[1] = hotelName.replace('LQ Hotel', '');
      }
    } catch (e) {
      console.error('error in hotelName filter', e);
    }
    return result[index];
  };
});
