/* global lqMobileModule*/
lqMobileModule.filter('localizeRoomDescription', function () {
  'use strict';

  return function (input, roomCode, roomList) {
    var i;
    var roomListLength;
    var room;

    if (typeof roomList !== 'undefined' && CQ.I18n.getLocale() !== 'en') {
      roomListLength = roomList.length;
      for (i = 0; i < roomListLength; i += 1) {
        room = roomList[i];
        if (roomCode === room.roomCode) {
          return room.description;
        }
      }
    }
    return input;
  };
});
