/* global lqMobileModule, console*/
/*
 * String replace filter. Accepts regular expressions
 */
lqMobileModule.filter('replace', function () {
  'use strict';

  return function (str, pattern, replacement, global) {
    global = (typeof global === 'undefined' ? true : global);
    try {
      return (str || '').replace(new RegExp(pattern, global ? 'g' : ''), function () {
        return replacement;
      });
    } catch (e) {
      console.error('error in string.replace', e);
      return (str || '');
    }
  };
});
