/* global lqMobileModule*/
lqMobileModule.controller('hotelPhotoGalleryController', ['$scope',
  function ($scope) {
    'use strict';

    var slides = $scope.slides = [];

    $scope.myInterval = 5000;

    $scope.addSlide = function (image, desc) {
      slides.push({
        image: image,
        desc: desc
      });
    };

    $scope.init = function (data, interval) {
      var i;

      $scope.myInterval = interval;

      if (data === undefined) {
        $scope.emptyGallery = true;
      } else {
        for (i = 0; i < data.length; i += 1) {
          $scope.addSlide(data[i].image, data[i].desc);
        }
      }
    };
  }]);
