/* global lqMobileModule, LQMobile*/
lqMobileModule.factory('hotelSearchEndpointService', ['$http', 'serviceEndPoints',
  function ($http, serviceEndPoints) {
    'use strict';

    var service = {};

    service.getAvailableHotels = function (request) {
      var serviceURL = serviceEndPoints.getHotelAvailabilityEndPoint();

      return $http({
        method: 'put',
        url: serviceURL,
        data: request
      }).success(function (response) {
        var i;

        for (i = response.length - 1; i >= 0; i -= 1) {
          response[i].hotelSummary.hotelReviewsSummary.ratingImageUrl =
          response[i].hotelSummary.hotelReviewsSummary.ratingImageUrl.replace(/^https?:/, '');
        }
        return response;
      }).error(function (data) {
        throw data;
      });
    };

    return service;
  }]);
