/* global lqMobileModule*/
/* jshint maxparams: 13 */
lqMobileModule.controller('hotelSearchResultsController',
  ['$scope', '$q', '$timeout', 'routingService', 'searchParamModelService', 'returnsUserProfileModel', 'googleMapsModelService', 'hotelSearchModelService',
    function (
      $scope,
      $q,
      $timeout,
      routingService,
      searchParamModelService,
      returnsUserProfileModel,
      googleMapsModelService,
      hotelSearchModelService
    ) {
      'use strict';

      LQMobile.ResultsMap.setHeightResultsMap();

      $scope.hotelSearchResults = hotelSearchModelService.data;

      $scope.userLogged = returnsUserProfileModel.isLoggedIn();
      $scope.userPoints = 0;
      if ($scope.userLogged) {
        $scope.userPoints = returnsUserProfileModel.data.userProfile.points;
      }

      $scope.selectHotel = function (hotelId) {
        routingService.goToHotelDetails(hotelId);
      };
    }]);
