/* global lqMobileModule */
lqMobileModule.controller(
  'mobileCheckoutUnavailableController',
  [
    '$scope',
    'routingService',
    'mobileCheckoutModel',
    'activeStaysModel',
    'localStorageService',
    function (
      $scope,
      routingService,
      mobileCheckoutModel,
      activeStaysModel,
      localStorageService
    ) {
      /**
      * back
      *
      * Event handler for click of Back button.
      */
      $scope.back = function () {
        routingService.goToHomePage();
      };

      function init() {
          //
          // After checkout, remove eligibility
        mobileCheckoutModel.setEligibility(false);
        mobileCheckoutModel.reset();
        activeStaysModel.reset();
          //
          // Don't check again for 12 hours.
        localStorageService.setValue('lqApp.Checkout.Timeout', new Date().getTime() + (12 * 3600 * 1000));
      }

      init();
    }]
);
