/* global lqMobileModule*/
/* jshint maxparams: 10 */
lqMobileModule.factory('GuestPhone', function () {
  'use strict';

    /* Constructor */
  function GuestPhone(
    phoneDesignation, country, countryCode, areaCode, number, primary
  ) {
    this.phoneDesignation = phoneDesignation;
    this.phoneNumber = {
      areaCode: null,
      country: null,
      countryCode: null,
      number: null
    };
    this.primary = primary;
    this.notifications = [];
  }

    /* Static call on object */
  GuestPhone.build = function (
    phoneDesignation, country, countryCode, areaCode, number, primary, notifications
  ) {
    return new GuestPhone(
      phoneDesignation, country, countryCode, areaCode, number, primary, notifications
    );
  };

    /**
     * Return the constructor function
     */
  return GuestPhone;
});
