/* global lqMobileModule */
/**
 * Created by rjones on 11/23/16.
 */
lqMobileModule.factory('dateFormatterService', function () {
  'use strict';

  var service = {};
    /*
    * getFormattedDate()
    *
    * converts Date object to string with MM/DD/YYYY
    *
    * @param {Date} [date]
    * */
  service.getFormattedDate = function (date) {
    var year = date.getFullYear();
    var month = (1 + date.getMonth()).toString();
    var day = date.getDate().toString();
    month = month.length > 1 ? month : '0' + month;
    day = day.length > 1 ? day : '0' + day;
    return month + '/' + day + '/' + year;
  };

  return service;
});
