/**
 * Created by jeffrey on 3/14/17.
 */
lqMobileModule.factory('browserGeolocationService',
  [
    function (
    ) {
      var thisService = {};

      var geolocationOptions = {
        maximumAge: 3000000,
        timeout: 10000,
        enableHighAccuracy: true
      };

      thisService.getCurrentPosition = function (success, failure) {
        navigator.geolocation.getCurrentPosition(
          function (geoposition) {
            success(geoposition);
          },
          function (error) {
            failure(error);
          },
          geolocationOptions
        );
      };

      return thisService;
    }
  ]
);
