/* global lqMobileModule*/
lqMobileModule.factory('editSearchAlertFactory', function () {
  'use strict';

  var editSearchAlertFactory = {};

  editSearchAlertFactory.alerts = [];
  editSearchAlertFactory.persistentAlerts = [];

  editSearchAlertFactory.addAlert = function (alertType, alertMessage) {
    editSearchAlertFactory.alerts.push({
      type: alertType,
      msg: alertMessage
    });
  };

  editSearchAlertFactory.addPersistentAlert = function (alertType, alertMessage) {
    editSearchAlertFactory.persistentAlerts.push({
      type: alertType,
      msg: alertMessage
    });
  };

  editSearchAlertFactory.clearAlerts = function () {
    editSearchAlertFactory.alerts = [];
  };

  editSearchAlertFactory.clearPersistentAlerts = function () {
    editSearchAlertFactory.persistentAlerts = [];
  };

  return editSearchAlertFactory;
});
