/* global lqMobileModule*/
lqMobileModule.factory('editSearchCollapseFactory', function () {
  'use strict';

  var editSearchCollapseFactory = {};

  editSearchCollapseFactory.editSearchCollapsed = false;
  editSearchCollapseFactory.editDatesCollapsed = true;

  editSearchCollapseFactory.toggleCollapsible = function () {
    editSearchCollapseFactory.editSearchCollapsed = !editSearchCollapseFactory.editSearchCollapsed;
    editSearchCollapseFactory.editDatesCollapsed = !editSearchCollapseFactory.editDatesCollapsed;
  };

  editSearchCollapseFactory.isDatesPanelCollapsed = function () {
    return editSearchCollapseFactory.editDatesCollapsed;
  };

  return editSearchCollapseFactory;
});
