/* global LQMobile, $, window, document*/
LQMobile = {};
LQMobile.Header = {};

LQMobile.Header.toggleMainMenu = function () {
  'use strict';

  ($('.mainMenuContainer').hasClass('active')) ? LQMobile.Header.closeMainMenu() : LQMobile.Header.openMainMenu();
};

LQMobile.Header.openMainMenu = function () {
  'use strict';

  var scroll_position = $(window).scrollTop();
  $('html').addClass('noScroll');
  $('html').css('top', -scroll_position + 'px');
  $('.pageContainer').addClass('active');
  $('.mainMenuContainer').addClass('active');
};

LQMobile.Header.closeMainMenu = function () {
  'use strict';

  var scroll_position = parseInt($('html').css('top'));
  $('html').removeClass('noScroll');
  $('.pageContainer').removeClass('active');
  $('.mainMenuContainer').removeClass('active');
};
