Array.prototype.contains = function (obj) {
  'use strict';

  var i = this.length;
  while (i--) {
    if (this[i] === obj) {
      return true;
    }
  }
  return false;
};

Array.prototype.moveObjectAtIndex = function (sourceIndex, destIndex) {
  var placeholder = {};
    // remove the object from its initial position and
    // plant the placeholder object in its place to
    // keep the array length constant
  var objectToMove = this.splice(sourceIndex, 1, placeholder)[0];
    // place the object in the desired position
  this.splice(destIndex, 0, objectToMove);
    // take out the temporary object
  this.splice(this.indexOf(placeholder), 1);
};

