/* eslint no-bitwise: "off", no-unused-vars: "off" */
var LQMobile = {};
var sessionId = window.sessionStorage.getItem('global.sessionId');

//
// Refresh the page after inactivity.

function resetLqReloadTTL() { lqReloadTtl = new Date().getTime() + (2 * 3600 * 1000); } // 2 hours
setInterval(function () {
  if (new Date().getTime() >= lqReloadTtl) location.reload();
}, 60 * 1000); // check TTL every 60 seconds
document.addEventListener('click', resetLqReloadTTL, false);
resetLqReloadTTL();

//
// Generate UUID
function generateUUID() {
  var d = new Date().getTime();
  var uuid = 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
    var r = (d + (Math.random() * 16)) % 16 | 0;
    d = Math.floor(d / 16);
    return (c == 'x' ? r : ((r & 0x7) | 0x8)).toString(16);
  });
  return uuid;
}

//
// Generate session ID
if (sessionId == '' || sessionId == null) {
  window.sessionStorage.setItem('global.sessionId', generateUUID());
}

