  var lqmobileConfigs = {};

  const PROD = "PRODUCTION";
  const UAT = "UAT";
  const QA = "QA";
  const DEV = "DEV";
  const MCIQA = "MCIQA";
  const MCIDEV = "MCIDEV";
  const MCIUAT = "MCIUAT";
  const UPUAT = "UPUAT";
  const G3QA = "G3QA";
  const G2PERF = "G2PERF";
  const G3PERF = "G3PERF";
  const G3PROD = "G3PROD";

  // CHANGE THIS TO EDIT ENVIRONMENT TARGET
  const loadEnvironment = 'PRODUCTION';

  // version number to check against LQ API:
  lqmobileConfigs.mobileAppVersion = '7.3.1';
  lqmobileConfigs.httpBase = "https://" + "apps2.lq.com";
  lqmobileConfigs.customerSupportLink = CUSTOMER_SUPPORT_LINK;

  switch (loadEnvironment) {
    case PROD:
      lqmobileConfigs.servicesEndpoint = "https://" + "www.lqwebservices.com/";
      // @TODO: Will this change?
      lqmobileConfigs.servicesEndpointMci = "https://" + "www.lqwebservices.com/";
      lqmobileConfigs.apikey = "NkZDOEQzQTctMDEzMC00NDBFLTkxNzQtMkMzQjZBMjEwQTFD";
      // Prod merchantLink
      lqmobileConfigs.merchantLinkClientId = "LAQUINT01";
      lqmobileConfigs.fullSiteURL = 'http://www.lq.com/en.html?stop_mobi=yes';
      lqmobileConfigs.customerSupportLink = CUSTOMER_SUPPORT_LINK_PROD;
      break;
    case UAT:
      lqmobileConfigs.servicesEndpoint = "https://uat.lqwebservices.com/";
      lqmobileConfigs.servicesEndpointMci = "https://uat.lqwebservices.com/";
      lqmobileConfigs.apikey = "NTc3REI5RUEtRUFENy00NjNELUIxQzQtRUI5MTNGODFDMDFF";
      lqmobileConfigs.merchantLinkClientId = "TESTLAQUINT01";
      lqmobileConfigs.fullSiteURL = 'http://uxpuat.lq.com/en.html?stop_mobi=yes';
      break;
    case QA:
      lqmobileConfigs.servicesEndpoint = "https://" + "uxp-ci-qa.lqwebservices.com/";
      lqmobileConfigs.servicesEndpointMci = "https://" + "uxp-ci-qa.lqwebservices.com/";
      // todo: add valid QA ApiKey
      lqmobileConfigs.apikey = "NTc3REI5RUEtRUFENy00NjNELUIxQzQtRUI5MTNGODFDMDFF";
      lqmobileConfigs.merchantLinkClientId = "TESTLAQUINT01";
      lqmobileConfigs.fullSiteURL = 'http://uxp-ci-qa.lq.com/en.html?stop_mobi=yes';
      break;
    case DEV:
      lqmobileConfigs.servicesEndpoint = "https://" + "uxp-ci-dev.lqwebservices.com/";
      lqmobileConfigs.servicesEndpointMci = "https://" + "uxp-ci-dev.lqwebservices.com/";
      // todo: add valid dev ApiKey
      lqmobileConfigs.apikey = "NTc3REI5RUEtRUFENy00NjNELUIxQzQtRUI5MTNGODFDMDFF";
      lqmobileConfigs.merchantLinkClientId = "TESTLAQUINT01";
      lqmobileConfigs.fullSiteURL = 'http://uxp-ci-dev.lq.com/en.html?stop_mobi=yes';
      break;
    case MCIQA:
      lqmobileConfigs.servicesEndpoint = "https://" + "mobile-checkin-qa.lqwebservices.com/";
      lqmobileConfigs.servicesEndpointMci = "https://" + "10.228.150.90:9004/";
      // todo: add valid QA ApiKey
      lqmobileConfigs.apikey = "NTc3REI5RUEtRUFENy00NjNELUIxQzQtRUI5MTNGODFDMDFF";
      lqmobileConfigs.merchantLinkClientId = "TESTLAQUINT01";
      lqmobileConfigs.fullSiteURL = 'http://mobile-checkin-qa.lq.com/en.html?stop_mobi=yes';
      break;
    case MCIDEV:
      lqmobileConfigs.servicesEndpoint = "https://" + "mobile-checkin-dev.lqwebservices.com/";
      lqmobileConfigs.servicesEndpointMci = "https://" + "10.228.22.21:9013/";
      // todo: add valid dev ApiKey
      lqmobileConfigs.apikey = "NTc3REI5RUEtRUFENy00NjNELUIxQzQtRUI5MTNGODFDMDFF";
      lqmobileConfigs.merchantLinkClientId = "TESTLAQUINT01";
      lqmobileConfigs.fullSiteURL = 'http://mobile-checkin-dev.lq.com/en.html?stop_mobi=yes';
      break;
    case MCIUAT:
      lqmobileConfigs.servicesEndpoint = "https://" + "mci-uat.lqwebservices.com/";
      lqmobileConfigs.servicesEndpointMci = "https://" + "mobile-app-experience-mci-uat.lqwebservices.com";
      // todo: add valid dev ApiKey
      lqmobileConfigs.apikey = "NTc3REI5RUEtRUFENy00NjNELUIxQzQtRUI5MTNGODFDMDFF";
      lqmobileConfigs.merchantLinkClientId = "TESTLAQUINT01";
      // lqmobileConfigs.fullSiteURL = 'http://mobile-checkin-dev.lq.com/en.html?stop_mobi=yes';
      break;
    case UPUAT:
      lqmobileConfigs.servicesEndpoint = "https://" + "aemupgrade-uat.lqwebservices.com/";
      lqmobileConfigs.servicesEndpointMci = "https://" + "aemupgrade-uat.lqwebservices.com/";
      lqmobileConfigs.apikey = "NTc3REI5RUEtRUFENy00NjNELUIxQzQtRUI5MTNGODFDMDFF";
      lqmobileConfigs.merchantLinkClientId = "TESTLAQUINT01";
      lqmobileConfigs.fullSiteURL = 'https://aemupgrade-uat-gen3.lq.com/en.html?stop_mobi=yes';
      break;
    case G3QA:
      lqmobileConfigs.servicesEndpoint = "https://" + "redesign2-qa.testlqwebservices.com/";
      lqmobileConfigs.servicesEndpointMci = "https://" + "redesign2-qa.testlqwebservices.com/";
      lqmobileConfigs.apikey = "NTc3REI5RUEtRUFENy00NjNELUIxQzQtRUI5MTNGODFDMDFF";
      lqmobileConfigs.merchantLinkClientId = "TESTLAQUINT01";
      lqmobileConfigs.fullSiteURL = 'https://apps2-qa-gen3.lq.com/en.html?stop_mobi=yes';
      break;
    case G2PERF:
      lqmobileConfigs.servicesEndpoint = "https://" + "gen2-perf.lqwebservices.com/";
      lqmobileConfigs.servicesEndpointMci = "https://" + "gen2-perf.lqwebservices.com/";
      lqmobileConfigs.apikey = "NTc3REI5RUEtRUFENy00NjNELUIxQzQtRUI5MTNGODFDMDFF";
      lqmobileConfigs.merchantLinkClientId = "TESTLAQUINT01";
      lqmobileConfigs.fullSiteURL = 'https://apps2-gen2-perf.lq.com/en.html?stop_mobi=yes';
      break;
    case G3PERF:
      lqmobileConfigs.servicesEndpoint = "https://" + "gen2-perf.testlqwebservices.com/";
      lqmobileConfigs.servicesEndpointMci = "https://" + "gen2-perf.testlqwebservices.com/";
      lqmobileConfigs.apikey = "NTc3REI5RUEtRUFENy00NjNELUIxQzQtRUI5MTNGODFDMDFF";
      lqmobileConfigs.merchantLinkClientId = "TESTLAQUINT01";
      lqmobileConfigs.fullSiteURL = 'https://gen2-perf-gen3.testlq.com/en.html?stop_mobi=yes';
      lqmobileConfigs.mobileBase = 'https://m-gen2-perf-gen3.testlq.com';
      break;
    case G3PROD: // prod services with G3 perf content
      lqmobileConfigs.servicesEndpoint = "https://" + "www.lqwebservices.com/";
      lqmobileConfigs.servicesEndpointMci = "https://" + "www.lqwebservices.com/";
      lqmobileConfigs.apikey = "NkZDOEQzQTctMDEzMC00NDBFLTkxNzQtMkMzQjZBMjEwQTFD";
      lqmobileConfigs.merchantLinkClientId = "TESTLAQUINT01";
      lqmobileConfigs.fullSiteURL = 'https://gen2-perf-gen3.testlq.com/en.html?stop_mobi=yes';
      lqmobileConfigs.mobileBase = 'https://m-gen2-perf-gen3.testlq.com';
      break;
  }

  lqmobileConfigs.mobileConfigDownloaded = false;
  lqmobileConfigs.currentLocale = "en";
  lqmobileConfigs.hotelAvailability = "lqecommerce/api/ecommerce/centralreservation/hotel/available";
  lqmobileConfigs.hotelRoomAvailability = "/lqecommerce/api/ecommerce/centralreservation/rooms/available";
  lqmobileConfigs.returnsAuthenticationUrl = "/lqecommerce/api/ecommerce/loyalty/profiles/authenticate";
  lqmobileConfigs.userProfileUrl = "/lqecommerce/api/ecommerce/loyalty/profiles";
  lqmobileConfigs.bookingConfirmationUrl = "/lqecommerce/api/ecommerce/centralreservation/reservations";
  lqmobileConfigs.creditCardsUrl = "/lqecommerce/api/ecommerce/loyalty/profiles/creditcards";
  lqmobileConfigs.primaryCreditCardsUrl = "/lqecommerce/api/ecommerce/loyalty/profiles/creditcards/primary";
  lqmobileConfigs.getreadyforyouUrl = "/lqecommerce/api/ecommerce/centralreservation/reservation/notification/roomready";
  lqmobileConfigs.hotelReviewsUrl = "lqecommerce/api/ecommerce/propertymaster/hotels/{hotelId}/reviews";
  lqmobileConfigs.accountActivityUrl = "/lqecommerce/api/ecommerce/loyalty/profiles/activities";

  lqmobileConfigs.reservationsUrl = "/lqecommerce/api/ecommerce/centralreservation/reservations";
  lqmobileConfigs.changePasswordUrl = "/lqecommerce/api/ecommerce/loyalty/profiles/{id}/password/change";
  lqmobileConfigs.sessionIdUrl = "/lqecommerce/api/ecommerce/createSessionId/{sessionId}";

  lqmobileConfigs.userDeviceUrl = "/lqecommerce/api/ecommerce/loyalty/device";

  lqmobileConfigs.mobileCheckoutEligibilityUrl = '/lqecommerce/api/ecommerce/centralreservation/reservations/departure/eligible';
  lqmobileConfigs.mobileCheckoutActionUrl = '/lqecommerce/api/ecommerce/centralreservation/reservations/departure/{confirmationNumber}';

  lqmobileConfigs.freeNightEligibilityUrl = '/lqecommerce/api/ecommerce/centralreservation/hotel/available/fnc';

  //  Version information
  lqmobileConfigs.appVersionCompatibility = '/lqecommerce/api/ecommerce/mobile/{nativeApp}/{version}';

  // mobile app experience API
  lqmobileConfigs.findActiveStays = '/mobile-app-experience/profiles/{returnsNumber}/stays';
  lqmobileConfigs.mobileCheckinActionUrl = '/mobile-app-experience/properties/{innNumber}{roomStr}/check-ins/{confirmationNumber}';
  lqmobileConfigs.mobileCheckinGetRooms = '/mobile-app-experience/properties/{innNumber}/inventories';
  lqmobileConfigs.mobileCheckinGetHotelDetails = 'lqecommerce/api/ecommerce/propertymaster/hotels/summary';

  lqmobileConfigs.defaultSearchRange = parseInt("40");
  lqmobileConfigs.defaultMinSearchRange = parseInt("10");
  lqmobileConfigs.defaultMaxSearchRange = parseInt("100");
  lqmobileConfigs.defaultMapZoom = parseInt("10");
  lqmobileConfigs.maxAllowedAdults = parseInt("4");

  lqmobileConfigs.checkoutModalLoadingMessage = CHECKOUT_LOADING_MESSAGE;
  lqmobileConfigs.checkinModalLoadingMessage = MOBILE_CHECK_IN_LOADING_MESSAGE;
  lqmobileConfigs.timeout = 21600;
  lqmobileConfigs.locationTimeout = LOCATION_TIMEOUT_HOURS * 60 * 60 * 1000;
  lqmobileConfigs.offlineTimeout = OFFLINE_TIMEOUT_SECONDS * 1000;
  lqmobileConfigs.tokenTimeout = TOKEN_EXPIRE_AUTH_MINUTES * 60 * 1000;
  lqmobileConfigs.declineLocationTimeout = LOCATION_TIMEOUT_DECLINE_MONTHS * 30 * 24 * 60 * 60 * 1000;
  lqmobileConfigs.activeStaysTimeout = ACTIVE_STAYS_ERROR_TIMEOUT_HOURS * 60 * 60 * 1000;
  lqmobileConfigs.activeStaysTimeoutShort = ACTIVE_STAYS_ERROR_TIMEOUT_MINUTES * 60 * 1000;

  //@todo: Remove MPR for fix for DE2503. Was added for DE2597
  lqmobileConfigs.rateTypeCodes = {
    "RAC": "PUBLIC",
    "AAA": "STANDARD",
    "AARP": "STANDARD",
    "SENIOR": "CORPORATE",
    "GOV": "STANDARD",
    "MIL": "STANDARD",
    "MPR": "PUBLIC"
  };

  lqmobileConfigs.geolocationOptions = {
    "maximumAge": 3000000,
    "timeout": 10000,
    "enableHighAccuracy": true
  };

  var PRODUCTION = !(lqmobileConfigs.httpBase.indexOf("apps2.lq.com") == -1 &&
    lqmobileConfigs.servicesEndpoint.indexOf("www.lqwebservices.com") == -1);
