/* global lqMobileModule */
lqMobileModule.controller('addToCalendarController',
  [
    '$scope',
    'bookingEndpointService',
    '$timeout',
    function ($scope, bookingEndpointService, $timeout) {
      'use strict';

      if (bookingEndpointService.isAddToCalendarAPILoaded()) {
        $scope.$evalAsync(function () {
          $timeout(function () {
            window.addtocalendar.load();
          }, 50);
        });
      } else {
        bookingEndpointService.loadAddToCalendarAPI();
      }
    }
  ]);
