/* global lqMobileModule*/
lqMobileModule.directive(
  'hotelCurrencyInitializer',
  [
    'currencyService',
    function (
      currencyService
    ) {
      'use strict';

      return {
        restrict: 'E',
        compile: function (element) {
          var currencys = JSON.parse(element[0].innerHTML);
          element[0].innerHTML = '';
          currencyService.setAllCurrencies(currencys);
        }
      };
    }
  ]
);
