/* global lqMobileModule*/
lqMobileModule.filter('lqminrate', function () {
  'use strict';

  return function (ratesArray) {
    var minRate = 99999999;
    var i;
    var rateObj;
    var rate;

    if (typeof ratesArray === 'undefined' || ratesArray.length === 0) {
      return 0;
    }
    for (i = 0; i < ratesArray.length; i += 1) {
      rateObj = ratesArray[i];
      rate = rateObj.nightlyRate.amount;
      if (rate < minRate) {
        minRate = rate;
      }
    }
    return minRate;
  };
});
