/* global lqMobileModule, alert, console, msg, LQMobile*/
lqMobileModule.factory('instantHoldEndpointService', ['$http',
  '$q',
  'serviceEndPoints',
  function ($http, $q, serviceEndPoints) {
    'use strict';

    return {
      makeRequest: function (reservationRequest) {
        var serviceURL = serviceEndPoints.getBookingConfirmationEndPoint();

        return $http.post(serviceURL, reservationRequest)
                  .then(
                      // Success
                      function (data) {
                        return data;
                      },
                      // Error
                      function (error) {
                        console.error(JSON.stringify(error));
                        throw error;
                      }
                  );
      }
    };
  }]);
