/* global lqMobileModule*/
lqMobileModule.factory('RoomReservation', function (RoomType) {
  'use strict';

    /* Constructor */
  function RoomReservation() {
    this.numberOfAdults = null;
    this.numberOfChildren = null;
    this.numberOfRooms = null;
    this.roomSpecialRequests = null;
    this.roomType = null;
    this.nightlyRoomRates = [];
  }

    /* Static call on object for a room reservation */
  RoomReservation.build = function () {
    var myRoomReservation = new RoomReservation();
    myRoomReservation.roomType = RoomType.build();
    return myRoomReservation;
  };

    /**
     * Return the constructor function
     */
  return RoomReservation;
});
